Service wrapper v0.90.10


(Florian Gilson) #1

I need to use elasticsearch with graylog2, and the version of elasticsearch
1.0.1 is not supported for that. But i don't success to configure the
service wrapper for the 0.90.10 version (when i do service elasticsearch
start it doesn't work) and it works perfectly with the 1.0.1 version. I do
exactly the same configuration in both case. Do you have an explanation?

--
You received this message because you are subscribed to the Google Groups "elasticsearch" group.
To unsubscribe from this group and stop receiving emails from it, send an email to elasticsearch+unsubscribe@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/elasticsearch/c00ee96f-096c-4b49-bdbb-32c673d683fa%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.


(Alexander Reelsen) #2

Hey,

you need to use the 0.90 and not the master branch of the service wrapper
github repo. Do you do this already?

--Alex

On Fri, Mar 7, 2014 at 2:56 PM, Florian Gilson gilsf16@gmail.com wrote:

I need to use elasticsearch with graylog2, and the version of
elasticsearch 1.0.1 is not supported for that. But i don't success to
configure the service wrapper for the 0.90.10 version (when i do service
elasticsearch start it doesn't work) and it works perfectly with the 1.0.1
version. I do exactly the same configuration in both case. Do you have an
explanation?

--
You received this message because you are subscribed to the Google Groups
"elasticsearch" group.
To unsubscribe from this group and stop receiving emails from it, send an
email to elasticsearch+unsubscribe@googlegroups.com.
To view this discussion on the web visit
https://groups.google.com/d/msgid/elasticsearch/c00ee96f-096c-4b49-bdbb-32c673d683fa%40googlegroups.comhttps://groups.google.com/d/msgid/elasticsearch/c00ee96f-096c-4b49-bdbb-32c673d683fa%40googlegroups.com?utm_medium=email&utm_source=footer
.
For more options, visit https://groups.google.com/d/optout.

--
You received this message because you are subscribed to the Google Groups "elasticsearch" group.
To unsubscribe from this group and stop receiving emails from it, send an email to elasticsearch+unsubscribe@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/elasticsearch/CAGCwEM_w5o3tnG%3DSK6OUkUZUO3ZYGFQsu7ToxSqYVaMvHmgdGA%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.


(Florian Gilson) #3

No i never do this. I just would like that the elasticsearch server start
with de the init.d. How can i do this?

Le vendredi 7 mars 2014 14:58:27 UTC+1, Alexander Reelsen a écrit :

Hey,

you need to use the 0.90 and not the master branch of the service wrapper
github repo. Do you do this already?

--Alex

On Fri, Mar 7, 2014 at 2:56 PM, Florian Gilson <gil...@gmail.com<javascript:>

wrote:

I need to use elasticsearch with graylog2, and the version of
elasticsearch 1.0.1 is not supported for that. But i don't success to
configure the service wrapper for the 0.90.10 version (when i do service
elasticsearch start it doesn't work) and it works perfectly with the 1.0.1
version. I do exactly the same configuration in both case. Do you have an
explanation?

--
You received this message because you are subscribed to the Google Groups
"elasticsearch" group.
To unsubscribe from this group and stop receiving emails from it, send an
email to elasticsearc...@googlegroups.com <javascript:>.
To view this discussion on the web visit
https://groups.google.com/d/msgid/elasticsearch/c00ee96f-096c-4b49-bdbb-32c673d683fa%40googlegroups.comhttps://groups.google.com/d/msgid/elasticsearch/c00ee96f-096c-4b49-bdbb-32c673d683fa%40googlegroups.com?utm_medium=email&utm_source=footer
.
For more options, visit https://groups.google.com/d/optout.

--
You received this message because you are subscribed to the Google Groups "elasticsearch" group.
To unsubscribe from this group and stop receiving emails from it, send an email to elasticsearch+unsubscribe@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/elasticsearch/f06279f7-6efd-4419-ac97-d4149963f753%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.


(Hannes Korte) #4

Hi Florian,

Just download

https://github.com/elasticsearch/elasticsearch-servicewrapper/archive/0.90.zip

instead of

https://github.com/elasticsearch/elasticsearch-servicewrapper/archive/master.zip

and place the service folder in ES/bin.

Edit the first two lines in ES/bin/service/elasticsearch.conf as you
need it:
set.default.ES_HOME=/path/to/elasticsearch-0.90.10
set.default.ES_HEAP_SIZE=4096

Edit ES/bin/service/elasticsearch if you want to change the user who
runs ES:
RUN_AS_USER=elasticsearch

Then call "ES/bin/service/elasticsearch install"

Best regards,
Hannes

On 07.03.2014 15:32, Florian Gilson wrote:

No i never do this. I just would like that the elasticsearch server start
with de the init.d. How can i do this?

Le vendredi 7 mars 2014 14:58:27 UTC+1, Alexander Reelsen a écrit :

Hey,

you need to use the 0.90 and not the master branch of the service wrapper
github repo. Do you do this already?

--Alex

On Fri, Mar 7, 2014 at 2:56 PM, Florian Gilson <gil...@gmail.com<javascript:>

wrote:

I need to use elasticsearch with graylog2, and the version of
elasticsearch 1.0.1 is not supported for that. But i don't success to
configure the service wrapper for the 0.90.10 version (when i do service
elasticsearch start it doesn't work) and it works perfectly with the 1.0.1
version. I do exactly the same configuration in both case. Do you have an
explanation?

--
You received this message because you are subscribed to the Google Groups
"elasticsearch" group.
To unsubscribe from this group and stop receiving emails from it, send an
email to elasticsearc...@googlegroups.com <javascript:>.
To view this discussion on the web visit
https://groups.google.com/d/msgid/elasticsearch/c00ee96f-096c-4b49-bdbb-32c673d683fa%40googlegroups.comhttps://groups.google.com/d/msgid/elasticsearch/c00ee96f-096c-4b49-bdbb-32c673d683fa%40googlegroups.com?utm_medium=email&utm_source=footer
.
For more options, visit https://groups.google.com/d/optout.

--
You received this message because you are subscribed to the Google Groups "elasticsearch" group.
To unsubscribe from this group and stop receiving emails from it, send an email to elasticsearch+unsubscribe@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/elasticsearch/5319E2DF.9060409%40hkorte.com.
For more options, visit https://groups.google.com/d/optout.


(Florian Gilson) #5

Thank you very much Hannes!! Now it works perfectly.

Florian

Le vendredi 7 mars 2014 16:16:47 UTC+1, Hannes Korte a écrit :

Hi Florian,

Just download

https://github.com/elasticsearch/elasticsearch-servicewrapper/archive/0.90.zip

instead of

https://github.com/elasticsearch/elasticsearch-servicewrapper/archive/master.zip

and place the service folder in ES/bin.

Edit the first two lines in ES/bin/service/elasticsearch.conf as you
need it:
set.default.ES_HOME=/path/to/elasticsearch-0.90.10
set.default.ES_HEAP_SIZE=4096

Edit ES/bin/service/elasticsearch if you want to change the user who
runs ES:
RUN_AS_USER=elasticsearch

Then call "ES/bin/service/elasticsearch install"

Best regards,
Hannes

On 07.03.2014 15:32, Florian Gilson wrote:

No i never do this. I just would like that the elasticsearch server
start
with de the init.d. How can i do this?

Le vendredi 7 mars 2014 14:58:27 UTC+1, Alexander Reelsen a écrit :

Hey,

you need to use the 0.90 and not the master branch of the service
wrapper

github repo. Do you do this already?

--Alex

On Fri, Mar 7, 2014 at 2:56 PM, Florian Gilson <gil...@gmail.com<javascript:>

wrote:

I need to use elasticsearch with graylog2, and the version of
elasticsearch 1.0.1 is not supported for that. But i don't success to
configure the service wrapper for the 0.90.10 version (when i do
service

elasticsearch start it doesn't work) and it works perfectly with the
1.0.1

version. I do exactly the same configuration in both case. Do you have
an

explanation?

--
You received this message because you are subscribed to the Google
Groups

"elasticsearch" group.
To unsubscribe from this group and stop receiving emails from it, send
an

email to elasticsearc...@googlegroups.com <javascript:>.
To view this discussion on the web visit

https://groups.google.com/d/msgid/elasticsearch/c00ee96f-096c-4b49-bdbb-32c673d683fa%40googlegroups.com
<
https://groups.google.com/d/msgid/elasticsearch/c00ee96f-096c-4b49-bdbb-32c673d683fa%40googlegroups.com?utm_medium=email&utm_source=footer>

.
For more options, visit https://groups.google.com/d/optout.

--
You received this message because you are subscribed to the Google Groups "elasticsearch" group.
To unsubscribe from this group and stop receiving emails from it, send an email to elasticsearch+unsubscribe@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/elasticsearch/c26d4f42-5685-4971-a5dd-6681bf21704c%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.


(system) #6